Package org.h2.engine

# Class MetaRecord

java.lang.Object
org.h2.engine.MetaRecord

All Implemented Interfaces:
  `Comparable<MetaRecord>`

public class MetaRecord extends Object implements Comparable<MetaRecord>
A record in the system table of the database. It contains the SQL statement to create the database object.

## Constructor Summary

Constructors
Constructor
Description
`MetaRecord(SearchRow r)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(MetaRecord other)`
Sort the list of meta records by 'create order'.
`int`
`getId()`
`int`
`getObjectType()`
`String`
`getSQL()`
`static void`
`populateRowFromDBObject(DbObject obj, SearchRow r)`
Copy metadata from the specified object into specified search row.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MetaRecord

public MetaRecord(SearchRow r)

## Method Details

### populateRowFromDBObject

public static void populateRowFromDBObject(DbObject obj, SearchRow r)
Copy metadata from the specified object into specified search row.

Parameters:
  `obj` - database object
  `r` - search row

### getId

public int getId()

### getObjectType

public int getObjectType()

### getSQL

public String getSQL()

### compareTo

public int compareTo(MetaRecord other)
Sort the list of meta records by 'create order'.

Specified by:
  `compareTo` in interface `Comparable<MetaRecord>`
Parameters:
  `other` - the other record
Returns:
  -1, 0, or 1

### toString

public String toString()

Overrides:
  `toString` in class `Object`